.libre-baskerville-regular {
  font-family: "Libre Baskerville", serif;
  font-weight: 400;
  font-style: normal;
}

.libre-baskerville-bold {
  font-family: "Libre Baskerville", serif;
  font-weight: 700;
  font-style: normal;
}

.libre-baskerville-regular-italic {
  font-family: "Libre Baskerville", serif;
  font-weight: 400;
  font-style: italic;
}

.corinthia-regular {
  font-family: "Corinthia", cursive;
  font-weight: 400;
  font-style: normal;
}

.corinthia-bold {
  font-family: "Corinthia", cursive;
  font-weight: 700;
  font-style: normal;
}

body {
  font-family: "Libre Baskerville", serif;
  font-weight: 400;
  font-style: normal;
  text-align: center;
  margin: 0;
  position: relative;
}

body::before {
  display: none;
  content: "";
  background-image: url("../imagenes/bottom-stains.png");
  background-repeat: no-repeat;
  background-position: left bottom;
  background-size: 50%;
  opacity: 30%;
  position:absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: -70px;
}

.middle-background {
  background-image: url("../imagenes/middle-stains.png");
  background-repeat: no-repeat;
  background-position: left bottom;
  background-size: 50%;
  opacity: 50%;
  position:absolute;
  top: 30vh;
  left: 0;
  width: 100vw;
  height: 340px;
}

.disable-scroll {
  overflow: scroll;
}

.header {
  height: 100vh;
  position: absolute;
  top: 0;
  width: 100vw;
  display: grid;
  grid-template-rows: 1fr 1fr 1fr;
  justify-items: center;
}

.header .logo {
  width: 150px;
  max-width: 50%;
  align-self: center;
}

.header .separator {
  width: 300px;
  max-width: 75%;
  align-self: center;
}

.separator {
  width: 300px;
  max-width: 75%;
  margin: auto;
  animation-name: treeAnimSeparator;
  animation-duration: 1s;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
  animation-direction: alternate;
}

@keyframes treeAnimSeparator {
  from {
    transform: skew(0);
  }
  to {
    transform: skewX(2deg) skewY(5deg);
  }
}

.separator-3 {
  width: 141px;
  -moz-transform: scaleX(-1);
  -o-transform: scaleX(-1);
  -webkit-transform: scaleX(-1);
  transform: scaleX(-1);
  filter: FlipH;
  -ms-filter: "FlipH";
  margin: 25px auto;
}

.top-background {
  height: 200px;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  width: 98vw;
  overflow-x: hidden;
}

.top-background .branch-1 {
  width: 120px;
  max-width: 30%;
  margin: 0 5%;
  object-fit: contain;
  animation-name: treeAnimBranch1;
  animation-duration: 2s;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
  animation-direction: alternate;
}

@keyframes treeAnimBranch1 {
  from {
    transform: skew(0);
  }
  to {
    transform: skew(15deg);
  }
}


.top-background .branch-2 {
  width: 120px;
  max-width: 30%;
  margin: 0 5%;
  object-fit: contain;
  animation-name: treeAnimBranch2;
  animation-duration: 2s;
  animation-delay: 1s;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
  animation-direction: alternate;
}

@keyframes treeAnimBranch2 {
  from {
    transform: skew(0);
  }
  to {
    transform: skew(10deg);
  }
}

.top-background .stains {
  position: absolute;
  width: 80%;
  max-width: 500px;
  right: 0;
  top: -65px;
  object-fit: contain;
  opacity: 30%;
}

h1 {
  font-size: 2em;
  margin-top: 0;
}

.invitation {
  position: absolute;
  top: 100vh;
  height: 100vh;
  width: 100vw;
  display: grid;
  font-size: 15px;
}

.invitation::before {
  background-image: url(../imagenes/invitaion-background.png);
  background-repeat: no-repeat;
  background-size: contain;
  background-position-y: 40%;
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: -1;
  opacity: 0.8;
}

h2 {
  background-image: url("../imagenes/text-stain-1.png");
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  font-family: "Corinthia", cursive;
  font-weight: 700;
  font-style: normal;
  font-size: 45px;
  height: 50px;
}

h3, h4 {
  background-image: url("../imagenes/text-stain-1.png");
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  font-family: "Corinthia", cursive;
  font-weight: 700;
  font-style: normal;
  font-size: 30px;
  margin: 0;
}

h4 {
  background-image: url("../imagenes/text-stain-3.png");
}

.we-like {
  padding: 0 10%;
}

.data {
  position: absolute;
  margin-bottom: 50px;
  top: 200vh;
  height: 100vh;
  width: 100vw;
  display: grid;
}

.data::before {
  background-image: url(../imagenes/data-background.png);
  background-repeat: no-repeat;
  background-size: 100%;
  background-position-y: 40%;
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: -1;
  opacity: 0.5;
}

.data-map-opened {
  height: calc(100vh + 100vw);
}

.data-map-opened::before {
  background-position-y: 20%;
}

.vertical-separator {
  position: absolute;
  right: 10%;
  width: 70px;
  top: 30%;
}

.data-map-opened .vertical-separator {
  top: 20%;
}

.data-text {
  margin: 0;
  font-size: 15px;
}

.information {
  position: absolute;
  margin-top: 10px;
  top: 300vh;
  height: 140vh;
  display: grid;
  font-size: 15px;
  width: 100vw;
}

.information::before {
  content: "";
  position: absolute;
  z-index: -1;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-image: url("../imagenes/footer-stains.png");
  background-repeat: no-repeat;
  background-size: contain;
  background-position-y: bottom;
  opacity: 0.8;
}

.information-map-opened {
  top: calc(300vh + 100vw);
}

.information-bank-opened {
  height: 150vh;
}

.bk-text-2 {
  background-image: url(../imagenes/text-stain-2.png);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  width: 60%;
  height: 60px;
  font-size: 15px;
  line-height: 4;
  margin: 40px auto 0 auto;
  font-weight: bold;
}

.confirmation {
  font-size: 15px;
  margin: 0 30px;
}

.persons {
  margin: 40px auto;
}

#attendance {
  cursor: pointer;
  margin-bottom: 40px;
}

.dress-code {
  font-size: 14px;
}

.separator-line {
  max-width: 100vw;
  position: absolute;
  z-index: -1;
  opacity: 0.3;
}

.map-container {
  display: none;
  position: relative;
  overflow: hidden;
  width: 100%;
  padding-top: 100%;
}

.map-container-show {
  display: block;
}

.map-iframe {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  width: 100%;
  height: 100%;
}

.bank {
  margin: 40px 40px 0 40px;
}

.bank-accounts {
  text-align: left;
  width: 110%;
  height: 10vh;
  font-size: 12px;
  margin: auto;
  display: none;
}

.bank-accounts-show {
  display: flex;
}

.bank-accounts p {
  margin: 0;
}

.bank-account {
  width: 50%;
}

.view-bank-accounts {
  background-image: url(../imagenes/text-stain-3.png);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  font-weight: 700;
  font-style: normal;
  margin: 0;
  display: inline-block;
  height: 22px;
  width: 50px;
}

.footer {
  margin: 1em 35px;
}

.confirmation-modal-background {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.8);
}

.confirmation-modal {
  width: 80%;
  background-color: #ffe9c6;
  position: fixed;
  left: 50%;
  margin-left: -40%;
  top: 5%;
  height: 90vh;
  overflow: scroll;
}

.confirmation-modal-show {
  display: block;
}

.confirmation-body {
  margin-top: 20px;
  font-size: 12px;
}

.confirmation-title {
  font-weight: bold;
}

.confirmation-text {
  margin: 20px;
}

.confirmation-table {
  margin: auto;
  padding: 0 20px;
}

.confirmation-row {
  margin-top: 33px;
  display: grid;
  justify-content: center;
  align-items: center;
  justify-items: end;
  grid-gap: 10px;
}

.confirmation-row span {
  font-weight: bold;
}

.confirmation-name {
  width: 100%;
  text-align: center;
  font-size: 17px;
  margin-bottom: 5px;
}

.confirmation-modal-closer {
  margin: 20px auto;
  cursor: pointer;
}


@media only screen and (min-width: 500px) {
  .top-background {
    max-width: 500px;
    margin: auto;
  }
  .top-background .stains {
    right: 50%;
    margin-right: -250px;
  }
  .header {
    max-width: 500px;
    left: 50%;
    margin-left: -250px;
  }
  .middle-background {
    left: 50%;
    max-width: 500px;
    margin-left: -250px;
    height: 400px;
  }
  .invitation {
    max-width: 500px;
    left: 50%;
    margin-left: -250px;
  }
  .countdown {
    max-width: 500px;
    margin-top: 60px;
  }
  .countdown-spinner {
    width: 40px;
    height: 40px;
  }
  .spinner {
    width: 70px;
    height: 70px;
    margin-left: -55px;
    margin-top: -55px;
  }
  .data {
    max-width: 500px;
    left: 50%;
    margin-left: -250px;
  }
  .information {
    max-width: 500px;
    left: 50%;
    margin-left: -250px;
  }
  .separator-line {
    max-width: 500px;
  }
  .confirmation .bk-text-2 {
    margin-top: 100px;
  }
}